import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { CnDeployLog } from '../models/index' 
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-11-05 09:52
 */
interface CnDeployLogCU extends ConditionUtil<CnDeployLogCU>{
    ID:FieldUtil<CnDeployLogCU>;
    K8S_ID:FieldUtil<CnDeployLogCU>;
    POD_ID:FieldUtil<CnDeployLogCU>;
    POD_IP:FieldUtil<CnDeployLogCU>;
    PVC_ID:FieldUtil<CnDeployLogCU>;
    PVC_STATUS:FieldUtil<CnDeployLogCU>;
    START_TIME:FieldUtil<CnDeployLogCU>;
    DELETED:FieldUtil<CnDeployLogCU>;
    CREATE_USER_ID:FieldUtil<CnDeployLogCU>;
    CREATE_TIME:FieldUtil<CnDeployLogCU>;
    UPDATE_USER_ID:FieldUtil<CnDeployLogCU>;
    UPDATE_TIME:FieldUtil<CnDeployLogCU>;
    DEPLOY_ID:FieldUtil<CnDeployLogCU>;
}

class CnDeployLogCUImpl extends ConditionUtilImpl<CnDeployLogCUImpl> implements CnDeployLogCU{ 
    newInstance(): CnDeployLogCUImpl {
        return new CnDeployLogCUImpl();
    } 
    get ID(): FieldUtil<CnDeployLogCU>{  
        return new FieldUtil('id','id','主键', this);
    }
    get K8S_ID(): FieldUtil<CnDeployLogCU>{  
        return new FieldUtil('k8s_id','k8sId','k8s_id', this);
    }
    get POD_ID(): FieldUtil<CnDeployLogCU>{  
        return new FieldUtil('pod_id','podId','pod_id', this);
    }
    get POD_IP(): FieldUtil<CnDeployLogCU>{  
        return new FieldUtil('pod_ip','podIp','pod_ip', this);
    }
    get PVC_ID(): FieldUtil<CnDeployLogCU>{  
        return new FieldUtil('pvc_id','pvcId','pvc_id', this);
    }
    get PVC_STATUS(): FieldUtil<CnDeployLogCU>{  
        return new FieldUtil('pvc_status','pvcStatus','pvc状态', this);
    }
    get START_TIME(): FieldUtil<CnDeployLogCU>{  
        return new FieldUtil('start_time','startTime','启动时间', this);
    }
    get DELETED(): FieldUtil<CnDeployLogCU>{  
        return new FieldUtil('deleted','deleted','删除标记', this);
    }
    get CREATE_USER_ID(): FieldUtil<CnDeployLogCU>{  
        return new FieldUtil('create_user_id','createUserId','创建人', this);
    }
    get CREATE_TIME(): FieldUtil<CnDeployLogCU>{  
        return new FieldUtil('create_time','createTime','创建时间', this);
    }
    get UPDATE_USER_ID(): FieldUtil<CnDeployLogCU>{  
        return new FieldUtil('update_user_id','updateUserId','更新人', this);
    }
    get UPDATE_TIME(): FieldUtil<CnDeployLogCU>{  
        return new FieldUtil('update_time','updateTime','更新时间', this);
    }
    get DEPLOY_ID(): FieldUtil<CnDeployLogCU>{  
        return new FieldUtil('deploy_id','deployId','部署ID', this);
    }
}

@Singleton 
class CnDeployLogMU extends TableUtilImpl<CnDeployLogCU,CnDeployLog>{ 
    tableName  = 'cn_deploy_log';
    tableFields  = ['id','k8s_id','pod_id','pod_ip','pvc_id','pvc_status','start_time','deleted','create_user_id','create_time','update_user_id','update_time','deploy_id'];
    modelFields  = ['id','k8sId','podId','podIp','pvcId','pvcStatus','startTime','deleted','createUserId','createTime','updateUserId','updateTime','deployId'];
    modelIdFields  = ['id'];
    tableIdFields  = ['id'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [];

    createConditionUtil(): CnDeployLogCU {
        return new CnDeployLogCUImpl();
    }   

    static get ID(): FieldUtil<CnDeployLogCU>{ 
        return new FieldUtil('id','id','主键', new CnDeployLogCUImpl());
    }
    static get K8S_ID(): FieldUtil<CnDeployLogCU>{ 
        return new FieldUtil('k8s_id','k8sId','k8s_id', new CnDeployLogCUImpl());
    }
    static get POD_ID(): FieldUtil<CnDeployLogCU>{ 
        return new FieldUtil('pod_id','podId','pod_id', new CnDeployLogCUImpl());
    }
    static get POD_IP(): FieldUtil<CnDeployLogCU>{ 
        return new FieldUtil('pod_ip','podIp','pod_ip', new CnDeployLogCUImpl());
    }
    static get PVC_ID(): FieldUtil<CnDeployLogCU>{ 
        return new FieldUtil('pvc_id','pvcId','pvc_id', new CnDeployLogCUImpl());
    }
    static get PVC_STATUS(): FieldUtil<CnDeployLogCU>{ 
        return new FieldUtil('pvc_status','pvcStatus','pvc状态', new CnDeployLogCUImpl());
    }
    static get START_TIME(): FieldUtil<CnDeployLogCU>{ 
        return new FieldUtil('start_time','startTime','启动时间', new CnDeployLogCUImpl());
    }
    static get DELETED(): FieldUtil<CnDeployLogCU>{ 
        return new FieldUtil('deleted','deleted','删除标记', new CnDeployLogCUImpl());
    }
    static get CREATE_USER_ID(): FieldUtil<CnDeployLogCU>{ 
        return new FieldUtil('create_user_id','createUserId','创建人', new CnDeployLogCUImpl());
    }
    static get CREATE_TIME(): FieldUtil<CnDeployLogCU>{ 
        return new FieldUtil('create_time','createTime','创建时间', new CnDeployLogCUImpl());
    }
    static get UPDATE_USER_ID(): FieldUtil<CnDeployLogCU>{ 
        return new FieldUtil('update_user_id','updateUserId','更新人', new CnDeployLogCUImpl());
    }
    static get UPDATE_TIME(): FieldUtil<CnDeployLogCU>{ 
        return new FieldUtil('update_time','updateTime','更新时间', new CnDeployLogCUImpl());
    }
    static get DEPLOY_ID(): FieldUtil<CnDeployLogCU>{ 
        return new FieldUtil('deploy_id','deployId','部署ID', new CnDeployLogCUImpl());
    }

    get ID(): FieldUtil<CnDeployLogCU>{ 
        return CnDeployLogMU.ID;
    }
    get K8S_ID(): FieldUtil<CnDeployLogCU>{ 
        return CnDeployLogMU.K8S_ID;
    }
    get POD_ID(): FieldUtil<CnDeployLogCU>{ 
        return CnDeployLogMU.POD_ID;
    }
    get POD_IP(): FieldUtil<CnDeployLogCU>{ 
        return CnDeployLogMU.POD_IP;
    }
    get PVC_ID(): FieldUtil<CnDeployLogCU>{ 
        return CnDeployLogMU.PVC_ID;
    }
    get PVC_STATUS(): FieldUtil<CnDeployLogCU>{ 
        return CnDeployLogMU.PVC_STATUS;
    }
    get START_TIME(): FieldUtil<CnDeployLogCU>{ 
        return CnDeployLogMU.START_TIME;
    }
    get DELETED(): FieldUtil<CnDeployLogCU>{ 
        return CnDeployLogMU.DELETED;
    }
    get CREATE_USER_ID(): FieldUtil<CnDeployLogCU>{ 
        return CnDeployLogMU.CREATE_USER_ID;
    }
    get CREATE_TIME(): FieldUtil<CnDeployLogCU>{ 
        return CnDeployLogMU.CREATE_TIME;
    }
    get UPDATE_USER_ID(): FieldUtil<CnDeployLogCU>{ 
        return CnDeployLogMU.UPDATE_USER_ID;
    }
    get UPDATE_TIME(): FieldUtil<CnDeployLogCU>{ 
        return CnDeployLogMU.UPDATE_TIME;
    }
    get DEPLOY_ID(): FieldUtil<CnDeployLogCU>{ 
        return CnDeployLogMU.DEPLOY_ID;
    }
}
export {CnDeployLogMU, CnDeployLogCU}
